Rectangle
{
	id: 'BGRect'
	anchors: 'fill'
	color: '#BD141B'
}

Image
{
	id: 'SonicBGImage'
	anchors: 'fill'
	image-src: 'Images/SonicBackground.png'
}
Image
{
	id: 'SonicBGImageBackground'
	anchors: 'horizontal-center|vertical-center'
	image-src: 'Images/SonicBackgroundLogo.png'
	height: 332
	width: 715
}

Textbox
{
	id: 'TitleTextbox'
	anchors: 'top|left'

	text: 'Stall Diagnostics'

	height: 90
	width: 900
	padding-top:120
	padding-left:70

	color-text: white

	font-name: 'Questrial'
	font-size: 40
	
	horizontal-alignment: left
}

Rectangle
{
	id: 'TopMenu'
	anchors: 'top|right'
	width: 900
	height: 150
	padding-top: 50
	padding-right: 60
	color: transparent

	Button
	{
		id: 'LogOffButton'
		observation-screen-name: 'Admin_LogOffButton'
		control-id: 'Admin'
		anchors: 'top|right'
		padding-right: 0
		width: 150
		height: 50
		visible: true
		text: 'Log Off'
		font-name: 'Questrial'
		font-size: 20
		font-weight: 'Regular'

		text-color: white
		image-idle: '/Images/AdminRectButton-default.png'
		image-pressed: '/Images/AdminRectButton-pressed.png'
		image-disabled: '/Images/AdminRectButton-pressed.png'

		disabled: false
	}

	Button
	{
		id: 'RestartButton'
		observation-screen-name: 'Admin_RestartButton'
		control-id: 'Admin'
		anchors: 'top|right'
		padding-right: 200
		width: 150
		height: 50
		visible: true
		text: 'Restart'
		font-name: 'Questrial'
		font-size: 20
		font-weight: 'Regular'

		text-color: white
		image-idle: '/Images/AdminRectButton-default.png'
		image-pressed: '/Images/AdminRectButton-pressed.png'
		image-disabled: '/Images/AdminRectButton-pressed.png'

		disabled: false
	}

	Button
	{
		id: 'StallSetupButton'
		observation-screen-name: 'Admin_StallSetupButton'
		control-id: 'Admin'
		anchors: 'top|right'
		padding-right: 400
		width: 150
		height: 50
		visible: true
		text: 'Stall Setup'
		font-name: 'Questrial'
		font-size: 20
		font-weight: 'Regular'

		text-color: white
		image-idle: '/Images/AdminRectButton-default.png'
		image-pressed: '/Images/AdminRectButton-pressed.png'
		image-disabled: '/Images/AdminRectButton-pressed.png'

		disabled: false
	}

	Button
	{
		id: 'RefreshButton'
		observation-screen-name: 'Admin_RefreshButton'
		control-id: 'Admin'
		anchors: 'top|right'
		padding-right: 600
		width: 250
		height: 50
		visible: true
		text: 'Refresh Card Reader'
		font-name: 'Questrial'
		font-size: 20
		font-weight: 'Regular'

		text-color: white
		image-idle: '/Images/AdminRectButton-default.png'
		image-pressed: '/Images/AdminRectButton-pressed.png'
		image-disabled: '/Images/AdminRectButton-pressed.png'

		disabled: false
	}

	Button
	{
		id: 'SonarButton'
		observation-screen-name: 'Admin_SonarButton'
		control-id: 'Admin'
		anchors: 'top|right'
		padding-right: 900
		width: 150
		height: 50
		visible: false
		text: 'Sonar Analysis'
		font-name: 'Questrial'
		font-size: 20
		font-weight: 'Regular'

		text-color: white
		image-idle: '/Images/AdminRectButton-default.png'
		image-pressed: '/Images/AdminRectButton-pressed.png'
		image-disabled: '/Images/AdminRectButton-pressed.png'

		disabled: false
	}
	
}

Button
{
	id: 'ContinueButton'
	observation-screen-name: 'Admin_ContinueButton'
	control-id: 'Admin'
	text: 'Continue'

	anchors: 'bottom|right'
	width: 275
	height: 77
	padding-bottom: 40
	padding-right: 250

	font-name: 'Questrial'
	font-size: 30
	font-weight: 'Regular'
		
	text-color: white
	text-idle-padding-right: 20
	text-pressed-padding-right: 20
	image-idle: '/Images/AdminAngleRightButton-default.png'
	image-pressed: '/Images/AdminAngleRightButton-pressed.png'
	image-disabled: '/Images/AdminAngleRightButton-pressed.png'

	disabled: false
}

Item
{
	id: 'ImageVersion'
	anchors: 'top|left'
	width: 155
	height: 63
	padding-left: 70
	padding-top: 100

	Text
	{
		id: 'Text'
		
		anchors: fill
		color: AntiqueWhite
		text: 'Image Version'
				
		font-name: 'Arial'
		font-size: 13
		
		vertical-alignment: center
		horizontal-alignment: left
	}
}


Rectangle
{
	id: 'Sections'
	anchors: 'left|top'
	height: 1000
	width: 500
	padding-top:140
	padding-left:130
	color: 'transparent'

	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:0
		
		color-text: white
		font-name: 'Questrial'
		font-size: 30
		horizontal-alignment: left
		text: 'Stall Configuration'
	}

	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:200
		
		color-text: white
		font-name: 'Questrial'
		font-size: 30
		horizontal-alignment: left
		text: 'Network Settings'
	}

	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:460
		
		color-text: white
		font-name: 'Questrial'
		font-size: 30
		horizontal-alignment: left
		text: 'Stall Connections'
	}

	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:650
		
		color-text: white
		font-name: 'Questrial'
		font-size: 30
		horizontal-alignment: left
		text: 'Stall Version Info'
	}

}

Rectangle
{
	id: 'Titles'
	anchors: 'left|top'
	height: 800
	width: 500
	padding-top:140
	padding-left:160
	color: 'transparent'

	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:40
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Store'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:70
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Stall'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:100
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Computer Name'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:130
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'System Time'
	}


	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:240
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Ip Address'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:270
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Subnet'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:300
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Gateway'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:330
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Primary DNS'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:360
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Secondary DNS'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:390
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Access Point Connectivity'
	}


	Textbox
	{
		id: 'StoreConnection'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:500
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Store Connection'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:530
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Card Reader Status'
	}
	Textbox
	{
		id: 'CardDetectStatus'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:560
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Car Detection Status'
	}
	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:590
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Red Button Status'
	}


	Textbox
	{
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:690
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Current Version'
	}

}
Rectangle
{
	id: 'Values'
	anchors: 'left|top'
	height: 800
	width: 430
	padding-top:140
	padding-left:650
	color: 'transparent'
	
	Textbox
	{
		id: 'Store'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:40
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'Stall'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:70
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'ComputerName'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:100
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'SystemTime'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:130
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}


	Textbox
	{
		id: 'IPAddress'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:240
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'Subnet'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:270
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'Gateway'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:300
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'PrimaryDNS'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:330
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'SecondaryDNS'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:360
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'AccessPoint'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:390
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}


	Textbox
	{
		id: 'StoreConn'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:500
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'CardReaderStatus'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:530
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'CarDetectionStatus'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:560
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}
	Textbox
	{
		id: 'RedButtonStatus'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:590
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}


	Textbox
	{
		id: 'CurrentVersion'
		anchors: 'left|top'
		height: 200
		width: 500
		padding-top:690
		
		color-text: white
		font-name: 'Questrial'
		font-size: 20
		horizontal-alignment: left
		text: 'Hardware Type'
	}



}